import { JavaObject } from '../../../java/lang/JavaObject';
export declare class KursblockungInputFach extends JavaObject {
    enmRevision: number;
    id: number;
    representation: String;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): KursblockungInputFach;
    static transpilerToJSON(obj: KursblockungInputFach): string;
    static transpilerToJSONPatch(obj: Partial<KursblockungInputFach>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_kursblockung_KursblockungInputFach(obj: unknown): KursblockungInputFach;
